Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDataExtractionOption

All Superinterfaces:
  ITaskOption

All Known Implementing Classes:
  DataExtractionOption

    public interface IDataExtractionOption

extends ITaskOption

Field Summary
`static java.lang.String` | `ACTION_HANDLER`
`static java.lang.String` | `EXTENSION`
`static java.lang.String` | `IMAGE_HANDLER`
`static java.lang.String` | `INSTANCE_ID`
`static java.lang.String` | `LOCALE`
`static java.lang.String` | `OUTPUT_FILE_NAME`
`static java.lang.String` | `OUTPUT_FORMAT`
`static java.lang.String` | `OUTPUT_STREAM`

Method Summary
`IHTMLActionHandler` | `getActionHandler()`
`java.lang.String` | `getExtension()` Get extension.
`IHTMLImageHandler` | `getImageHandler()`
`InstanceID` | `getInstanceID()`
`java.lang.String` | `getOutputFile()` Get output file name.
`java.lang.String` | `getOutputFormat()` Get output format.
`java.io.OutputStream` | `getOutputStream()` Get output stream.
`void` | `setActionHandler(IHTMLActionHandler actionHandler)`
`void` | `setExtension(java.lang.String extension)` Set extension id.
`void` | `setImageHandler(IHTMLImageHandler imageHandler)`
`void` | `setInstanceID(InstanceID iid)`
`void` | `setOutputFile(java.lang.String filename)` Set output file.
`void` | `setOutputFormat(java.lang.String format)` Set output format.
`void` | `setOutputStream(java.io.OutputStream out)` Set output stream.

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### OUTPUT_FORMAT

    static final java.lang.String OUTPUT_FORMAT

See Also:
  Constant Field Values

### OUTPUT_FILE_NAME

    static final java.lang.String OUTPUT_FILE_NAME

See Also:
  Constant Field Values

### OUTPUT_STREAM

    static final java.lang.String OUTPUT_STREAM

See Also:
  Constant Field Values

### EXTENSION

    static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### INSTANCE_ID

    static final java.lang.String INSTANCE_ID

See Also:
  Constant Field Values

### IMAGE_HANDLER

    static final java.lang.String IMAGE_HANDLER

See Also:
  Constant Field Values

### ACTION_HANDLER

    static final java.lang.String ACTION_HANDLER

See Also:
  Constant Field Values

### LOCALE

    static final java.lang.String LOCALE

See Also:
  Constant Field Values

Method Detail

### setOutputFormat

    void setOutputFormat(java.lang.String format)

  Set output format.

  Parameters:
    `format` - output format.

### getOutputFormat

    java.lang.String getOutputFormat()

  Get output format.

### setExtension

    void setExtension(java.lang.String extension)

  Set extension id.

  Parameters:
    `extension` - extension id.

### getExtension

    java.lang.String getExtension()

  Get extension.

### setOutputStream

    void setOutputStream(java.io.OutputStream out)

  Set output stream.

  Parameters:
    `out` - output stream.

### getOutputStream

    java.io.OutputStream getOutputStream()

  Get output stream.

### setOutputFile

    void setOutputFile(java.lang.String filename)

  Set output file.

  Parameters:
    `filename` - name of the output file.

### getOutputFile

    java.lang.String getOutputFile()

  Get output file name.

### setInstanceID

    void setInstanceID(InstanceID iid)

### getInstanceID

    InstanceID getInstanceID()

### setImageHandler

    void setImageHandler(IHTMLImageHandler imageHandler)

### getImageHandler

    IHTMLImageHandler getImageHandler()

### setActionHandler

    void setActionHandler(IHTMLActionHandler actionHandler)

### getActionHandler

    IHTMLActionHandler getActionHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.